## libglvnd 1.4.0

=== meson_options.txt ===
# Copyright © 2019 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and/or associated documentation files (the
# "Materials"), to deal in the Materials without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Materials, and to
# permit persons to whom the Materials are furnished to do so, subject to
# the following conditions:

# The above copyright notice and this permission notice shall be included
# unaltered in all copies or substantial portions of the Materials.
# Any additions, deletions, or changes to the original source files
# must be clearly indicated in accompanying documentation.

# THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

option(
  'asm',
  type : 'feature',
  description : 'Use ASM when compiling.'
)
option(
  'x11',
  type : 'feature',
  description : 'Support the X11 window system.'
)
option(
  'egl',
  type : 'boolean',
  value : true,
  description : 'Support the EGL platform.'
)
option(
  'glx',
  type : 'feature',
  description : 'Support the GLX platform.'
)
option(
  'gles1',
  type : 'boolean',
  value : true,
  description : 'Support OpenGL ES 1.x.'
)
option(
  'gles2',
  type : 'boolean',
  value : true,
  description : 'Support OpenGL ES 2.x and 3.x.'
)
option(
  'tls',
  type : 'boolean',
  value : true,
  description : 'Use Thread Local Storage (if supported).'
)
option(
  'dispatch-tls',
  type : 'boolean',
  value : true,
  description : 'Use TLS-based stubs in libGLdispatch (if supported).'
)
option(
  'dispatch-page-size',
  type : 'integer',
  value : 0,
  description : 'Page size to align static dispatch stubs.'
)
option(
  'headers',
  type : 'boolean',
  value : true,
  description : 'Install headers for enabled APIs.'
)
option(
  'entrypoint-patching',
  type : 'feature',
  description : 'Allow vendor libraries to patch OpenGL entrypoint functions.'
)

=== debian/changelog ===
libglvnd (1.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 13:51:56 -0700

libglvnd (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix nocheck FTBFS. (Closes: #993540)
    Thanks, Helmut Grohne!
  * Drop patch for mips symbols check, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jan 2022 16:36:07 +0200

libglvnd (1.3.4-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add bin/symbols-check.py fix for mips*

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Sep 2021 09:00:43 +0300

=== debian/control ===
Source: libglvnd
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               libxext-dev,
               meson,
               pkg-config,
               python3-setuptools,
               x11proto-gl-dev,
               xauth,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Section: libs
Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libglvnd.git

Package: libglvnd-dev
Section: libdevel
Architecture: any
Depends: libegl-dev (>= 1.3.0-1),
         libgl-dev (>= 1.3.0-1),
         libgles-dev (>= 1.3.0-1),
         libglvnd-core-dev (= ${binary:Version}),
         libglvnd0 (= ${binary:Version}),
         libglx-dev (>= 1.3.0-1),
         libopengl-dev (>= 1.3.0-1),
         ${misc:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the development files for libglvnd.

Package: libglvnd-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Breaks: libglvnd-dev (<< 1.3.3-1)
Replaces: libglvnd-dev (<< 1.3.3-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- core development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the header files for libglvnd split in a separate
 package for Mesa.

Package: libglvnd0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libgldispatch0-nvidia
Replaces: libgldispatch0-nvidia
Multi-Arch: same
Description: Vendor neutral GL dispatch library
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the GL dispatch library.

Package: libegl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libegl-mesa0,
         libglvnd0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for EGL.

Package: libegl-dev
Architecture: any
Depends: libegl1 (= ${binary:Version}), libgl-dev, libx11-dev, ${misc:Depends}
Replaces: libegl1-mesa-dev (<< 19.3.0~rc6-1), libglvnd-dev (<< 1.3.0-1)
Breaks: libegl1-mesa-dev (<< 19.3.0~rc6-1), libglvnd-dev (<< 1.3.0-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglvnd0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv1 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv1.

Package: libgles2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglvnd0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv2 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv2.

Package: libgles-dev
Architecture: any
Depends: libegl-dev,
         libgl-dev,
         libgles1 (= ${binary:Version}),
         libgles2 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libgles2-mesa-dev (<< 19.3.0~rc6-1), libglvnd-dev (<< 1.3.0-1)
Breaks: libgles2-mesa-dev (<< 19.3.0~rc6-1), libglvnd-dev (<< 1.3.0-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLES development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLES libraries.

Package: libgl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglvnd0 (= ${binary:Version}),
         libglx0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- legacy GL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for old libGL for compatibility reasons.

Package: libgl-dev
Architecture: any
Depends: libgl1 (= ${binary:Version}), libglx-dev, ${misc:Depends}
Replaces: libgl1-mesa-dev (<< 19.3.0~rc6-1),
          libglvnd-dev (<< 1.3.0-1),
          mesa-common-dev (<< 19.3.0~rc6-1)
Breaks: libgl1-mesa-dev (<< 19.3.0~rc6-1),
        libglvnd-dev (<< 1.3.0-1),
        mesa-common-dev (<< 19.3.0~rc6-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GL library.

Package: libglx0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglvnd0 (= ${binary:Version}),
         libglx-mesa0,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLX.

Package: libglx-dev
Architecture: any
Depends: libglx0 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Replaces: libgl-dev (<< 1.3.0-6),
          libglvnd-dev (<< 1.3.0-1),
          mesa-common-dev (<< 19.3.0~rc6-1)
Breaks: libgl-dev (<< 1.3.0-6),
        libglvnd-dev (<< 1.3.0-1),
        mesa-common-dev (<< 19.3.0~rc6-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLX library.

Package: libopengl0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglvnd0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for OpenGL.

Package: libopengl-dev
Architecture: any
Depends: libopengl0 (= ${binary:Version}), ${misc:Depends}
Replaces: libglvnd-dev (<< 1.3.0-1)
Breaks: libglvnd-dev (<< 1.3.0-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the OpenGL library.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYTHON=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name '*.la' -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run -a ninja -C build test
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_bugfiles:
	dh_bugfiles -A

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --builddirectory=build/ \
		--buildsystem=meson

# For maintainer use only, generate a tarball:
gentarball: SOURCE=libglvnd
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball: ORIG = ../$(SOURCE)_$(UV).orig.tar.gz
gentarball:
	if [ -f $(ORIG) ]; then \
	  echo "$(ORIG) already exists, stopping"; exit 1; \
	fi
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ \
	  | gzip -9 > $(ORIG)
	pristine-tar commit $(ORIG) upstream-unstable

## libglvnd 1.5.0

=== debian/changelog ===
libglvnd (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to x11proto-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Aug 2022 15:14:19 +0300

## libglvnd 1.6.0

=== debian/changelog ===
libglvnd (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Jan 2023 15:48:25 +0200

=== debian/control ===
Source: libglvnd
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 pkg-config,
 libx11-dev,
 libxext-dev,
 python3-setuptools,
 x11proto-dev,
 xauth,
 xvfb <!nocheck>,
Standards-Version: 4.5.0
Section: libs
Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libglvnd.git

Package: libglvnd-dev
Section: libdevel
Architecture: any
Depends:
 libglvnd0 (= ${binary:Version}),
 libglvnd-core-dev (= ${binary:Version}),
 ${misc:Depends},
 libegl-dev (>= 1.3.0-1),
 libgl-dev (>= 1.3.0-1),
 libgles-dev (>= 1.3.0-1),
 libglx-dev (>= 1.3.0-1),
 libopengl-dev (>= 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the development files for libglvnd.

Package: libglvnd-core-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Breaks: libglvnd-dev (<< 1.3.3-1)
Replaces: libglvnd-dev (<< 1.3.3-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- core development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the header files for libglvnd split in a separate
 package for Mesa.

Package: libglvnd0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libgldispatch0-nvidia,
Replaces:
 libgldispatch0-nvidia,
Multi-Arch: same
Description: Vendor neutral GL dispatch library
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the GL dispatch library.

Package: libegl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libegl-mesa0,
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for EGL.

Package: libegl-dev
Architecture: any
Depends:
 libegl1 (= ${binary:Version}),
 libgl-dev,
 libx11-dev,
 ${misc:Depends},
Replaces:
 libegl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libegl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv1 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv1.

Package: libgles2
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv2 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv2.

Package: libgles-dev
Architecture: any
Depends:
 libegl-dev,
 libgl-dev,
 libgles1 (= ${binary:Version}),
 libgles2 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libgles2-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libgles2-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLES development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLES libraries.

Package: libgl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- legacy GL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for old libGL for compatibility reasons.

Package: libgl-dev
Architecture: any
Depends:
 libgl1 (= ${binary:Version}),
 libglx-dev,
 ${misc:Depends},
Replaces:
 libgl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
 mesa-common-dev (<< 19.3.0~rc6-1),
Breaks:
 libgl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
 mesa-common-dev (<< 19.3.0~rc6-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GL library.

Package: libglx0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx-mesa0,
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLX.

Package: libglx-dev
Architecture: any
Depends:
 libglx0 (= ${binary:Version}),
 libx11-dev,
 ${misc:Depends},
Replaces:
 libglvnd-dev (<< 1.3.0-1),
 libgl-dev (<< 1.3.0-6),
 mesa-common-dev (<< 19.3.0~rc6-1),
Breaks:
 libglvnd-dev (<< 1.3.0-1),
 libgl-dev (<< 1.3.0-6),
 mesa-common-dev (<< 19.3.0~rc6-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLX library.

Package: libopengl0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for OpenGL.

Package: libopengl-dev
Architecture: any
Depends:
 libopengl0 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the OpenGL library.

## libglvnd 1.7.0

=== debian/changelog ===
libglvnd (1.7.0-3) unstable; urgency=medium

  * Team upload
  * Restore Build-Depends: xvfb for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 08:15:29 -0500

libglvnd (1.7.0-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Temporarily disable Build-Depends: xvfb for loong64 for bootstrapping
  * Mark xauth as only needed for build tests
  * Update debian/gbp.conf
  * Enable all hardening flags
  * Simplify debian/rules
  * Bump Standards Version to 4.7.3

  [ Diederik de Haas ]
  * copyright: remove 'userguide.html' stanza
  * control: Place -dev packages in libdevel section
  * symbols: Set Build-Depends-Package fields

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 10:35:19 -0500

libglvnd (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Oct 2023 13:52:22 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libglvnd
-Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
- pkg-config,
  libx11-dev,
  libxext-dev,
+ pkgconf,
  python3-setuptools,
  x11proto-dev,
- xauth,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
@@ -85,6 +84,7 @@
  This package contains support for EGL.
 
 Package: libegl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libegl1 (= ${binary:Version}),
@@ -134,6 +134,7 @@
  This package contains support for GLESv2.
 
 Package: libgles-dev
+Section: libdevel
 Architecture: any
 Depends:
  libegl-dev,
@@ -171,6 +172,7 @@
  This package contains support for old libGL for compatibility reasons.
 
 Package: libgl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libgl1 (= ${binary:Version}),
@@ -208,6 +210,7 @@
  This package contains support for GLX.
 
 Package: libglx-dev
+Section: libdevel
 Architecture: any
 Depends:
  libglx0 (= ${binary:Version}),
@@ -244,6 +247,7 @@
  This package contains support for OpenGL.
 
 Package: libopengl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libopengl0 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export PYTHON=/usr/bin/python3

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_bugfiles:
	dh_bugfiles -A

%:
	dh $@ --buildsystem=meson --without autoreconf
